This pass will parse the IR to access all instructions and print their DebugLoc, find out instructions called inside the Loop and classify them as Memory Instruction or Compute Instruction.
Its important to compile the IR with debug information.

example:
clang++ -S -emit-llvm for.cpp -o for.ll
opt for.ll -o /dev/null -load $LLVM_INSTALL_LOCATION/lib/LLVMInstCount.so -instcount1 -stats

